/[gentoo-x86]/www-apps/moodle/ChangeLog
Gentoo

Contents of /www-apps/moodle/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.44 - (show annotations) (download)
Sun Jul 7 17:38:17 2013 UTC (9 months, 1 week ago) by blueness
Branch: MAIN
Changes since 1.43: +10 -1 lines
Version bumps

(Portage version: 2.1.12.2/cvs/Linux x86_64, signed Manifest commit with key 0xF52D4BBA)

1 # ChangeLog for www-apps/moodle
2 # Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
3 # $Header: /var/cvsroot/gentoo-x86/www-apps/moodle/ChangeLog,v 1.43 2013/07/01 12:15:30 blueness Exp $
4
5 *moodle-2.3.8 (07 Jul 2013)
6 *moodle-2.4.5 (07 Jul 2013)
7 *moodle-2.2.11 (07 Jul 2013)
8 *moodle-2.5.1 (07 Jul 2013)
9
10 07 Jul 2013; Anthony G. Basile <blueness@gentoo.org> +moodle-2.2.11.ebuild,
11 +moodle-2.3.8.ebuild, +moodle-2.4.5.ebuild, +moodle-2.5.1.ebuild:
12 Version bumps
13
14 01 Jul 2013; Anthony G. Basile <blueness@gentoo.org> -moodle-2.2.9.ebuild,
15 -moodle-2.3.6.ebuild, -moodle-2.4.3.ebuild:
16 Remove vulnerable versions, bug #470904
17
18 *moodle-2.2.10 (14 May 2013)
19 *moodle-2.4.4 (14 May 2013)
20 *moodle-2.5 (14 May 2013)
21 *moodle-2.3.7 (14 May 2013)
22
23 14 May 2013; Anthony G. Basile <blueness@gentoo.org> +moodle-2.2.10.ebuild,
24 +moodle-2.3.7.ebuild, +moodle-2.4.4.ebuild, +moodle-2.5.ebuild:
25 Version bumps
26
27 26 Mar 2013; Anthony G. Basile <blueness@gentoo.org> -moodle-2.2.7.ebuild,
28 -moodle-2.3.4.ebuild, -moodle-2.4.1.ebuild:
29 Remove older vulnerable versions, bug #463336
30
31 18 Mar 2013; Anthony G. Basile <blueness@gentoo.org> -moodle-2.2.8.ebuild,
32 -moodle-2.3.5.ebuild, -moodle-2.4.2.ebuild:
33 Remove version broken by regression
34
35 *moodle-2.2.9 (18 Mar 2013)
36 *moodle-2.4.3 (18 Mar 2013)
37 *moodle-2.3.6 (18 Mar 2013)
38
39 18 Mar 2013; Anthony G. Basile <blueness@gentoo.org> +moodle-2.2.9.ebuild,
40 +moodle-2.3.6.ebuild, +moodle-2.4.3.ebuild:
41 Version bumps, fix major regression,
42 https://tracker.moodle.org/browse/MDL-38474
43
44 *moodle-2.4.2 (09 Mar 2013)
45 *moodle-2.3.5 (09 Mar 2013)
46 *moodle-2.2.8 (09 Mar 2013)
47
48 09 Mar 2013; Anthony G. Basile <blueness@gentoo.org> +moodle-2.2.8.ebuild,
49 +moodle-2.3.5.ebuild, +moodle-2.4.2.ebuild:
50 Version bumps
51
52 27 Jan 2013; Anthony G. Basile <blueness@gentoo.org> -moodle-2.2.6.ebuild,
53 -moodle-2.3.3.ebuild, -moodle-2.4.ebuild:
54 Remove vulnerable versions, bug #454318
55
56 *moodle-2.2.7 (12 Jan 2013)
57 *moodle-2.3.4 (12 Jan 2013)
58 *moodle-2.4.1 (12 Jan 2013)
59
60 12 Jan 2013; Anthony G. Basile <blueness@gentoo.org> +moodle-2.2.7.ebuild,
61 +moodle-2.3.4.ebuild, +moodle-2.4.1.ebuild, -moodle-2.1.9.ebuild:
62 Version bumps
63
64 *moodle-2.4 (07 Dec 2012)
65
66 07 Dec 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-2.4.ebuild:
67 Version bump to new branch
68
69 15 Nov 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-2.1.8.ebuild,
70 -moodle-2.2.5.ebuild, -moodle-2.3.2.ebuild:
71 Remove vulnerable versions, bug #443102
72
73 10 Nov 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.19.ebuild,
74 -moodle-2.0.10.ebuild:
75 Remove older unsupported versions
76
77 *moodle-2.1.9 (10 Nov 2012)
78 *moodle-2.3.3 (10 Nov 2012)
79 *moodle-2.2.6 (10 Nov 2012)
80
81 10 Nov 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-2.1.9.ebuild,
82 +moodle-2.2.6.ebuild, +moodle-2.3.3.ebuild:
83 Version bumps
84
85 17 Sep 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-2.1.7.ebuild,
86 -moodle-2.2.4.ebuild, -moodle-2.3.1.ebuild:
87 Drop vulnerable versions, bug #435364
88
89 *moodle-2.3.2 (12 Sep 2012)
90 *moodle-2.2.5 (12 Sep 2012)
91 *moodle-2.1.8 (12 Sep 2012)
92
93 12 Sep 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-2.1.8.ebuild,
94 +moodle-2.2.5.ebuild, +moodle-2.3.2.ebuild:
95 Version bumps
96
97 24 Aug 2012; Anthony G. Basile <blueness@gentoo.org> moodle-1.9.19.ebuild,
98 moodle-2.0.10.ebuild, moodle-2.1.7.ebuild, moodle-2.2.4.ebuild,
99 moodle-2.3.1.ebuild:
100 Use REQUIRED_USE so at least one backend db is provided, bug #432354
101
102 11 Jul 2012; Anthony G. Basile <blueness@gentoo.org> moodle-1.9.19.ebuild,
103 moodle-2.0.10.ebuild, moodle-2.1.7.ebuild, moodle-2.2.4.ebuild,
104 moodle-2.3.1.ebuild:
105 Keyword ~mips
106
107 11 Jul 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.18.ebuild,
108 -moodle-2.0.9.ebuild, -moodle-2.1.6.ebuild, -moodle-2.2.3.ebuild,
109 -moodle-2.3.ebuild:
110 Punt older versions
111
112 *moodle-2.3.1 (06 Jul 2012)
113 *moodle-2.2.4 (06 Jul 2012)
114 *moodle-2.1.7 (06 Jul 2012)
115 *moodle-2.0.10 (06 Jul 2012)
116 *moodle-1.9.19 (06 Jul 2012)
117
118 06 Jul 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.19.ebuild,
119 +moodle-2.0.10.ebuild, +moodle-2.1.7.ebuild, +moodle-2.2.4.ebuild,
120 +moodle-2.3.1.ebuild:
121 Version bump
122
123 *moodle-2.3 (26 Jun 2012)
124
125 26 Jun 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-2.3.ebuild:
126 Version bump
127
128 23 May 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.17.ebuild,
129 -moodle-2.0.8.ebuild, -moodle-2.1.5.ebuild, -moodle-2.2.2.ebuild:
130 Punt vulnerable versions, bug #417217
131
132 *moodle-2.2.3 (16 May 2012)
133 *moodle-2.1.6 (16 May 2012)
134 *moodle-2.0.9 (16 May 2012)
135 *moodle-1.9.18 (16 May 2012)
136
137 16 May 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.18.ebuild,
138 +moodle-2.0.9.ebuild, +moodle-2.1.6.ebuild, +moodle-2.2.3.ebuild:
139 Version bump all branches
140
141 04 Apr 2012; Anthony G. Basile <blueness@gentoo.org>
142 -moodle-1.9.16-r1.ebuild, -moodle-2.0.7-r1.ebuild, -moodle-2.1.4-r1.ebuild,
143 -moodle-2.2.1-r1.ebuild:
144 Remove older vulnerable versions
145
146 *moodle-2.2.2 (12 Mar 2012)
147 *moodle-2.1.5 (12 Mar 2012)
148 *moodle-2.0.8 (12 Mar 2012)
149 *moodle-1.9.17 (12 Mar 2012)
150
151 12 Mar 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.17.ebuild,
152 +moodle-2.0.8.ebuild, +moodle-2.1.5.ebuild, +moodle-2.2.2.ebuild:
153 Version bumps
154
155 07 Mar 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.16.ebuild,
156 moodle-1.9.16-r1.ebuild, -moodle-2.0.7.ebuild, moodle-2.0.7-r1.ebuild,
157 -moodle-2.1.4.ebuild, moodle-2.1.4-r1.ebuild, -moodle-2.2.1.ebuild,
158 moodle-2.2.1-r1.ebuild:
159 Remove older versions depending on php with gd-external
160
161 *moodle-2.2.1-r1 (29 Jan 2012)
162 *moodle-2.1.4-r1 (29 Jan 2012)
163 *moodle-2.0.7-r1 (29 Jan 2012)
164 *moodle-1.9.16-r1 (29 Jan 2012)
165
166 29 Jan 2012; Anthony G. Basile <blueness@gentoo.org>
167 +moodle-1.9.16-r1.ebuild, +moodle-2.0.7-r1.ebuild, +moodle-2.1.4-r1.ebuild,
168 +moodle-2.2.1-r1.ebuild:
169 Remove gd-external, fix depend on >=php5.3* for moodle 2.1* and 2.2*,
170 add session to PHP_REQUIRED_FLAGS_*, bug #400853
171
172 14 Jan 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.15.ebuild,
173 -moodle-2.0.6.ebuild, -moodle-2.1.3.ebuild:
174 Removed vulnerable versions
175
176 *moodle-2.2.1 (08 Jan 2012)
177
178 08 Jan 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-2.2.1.ebuild:
179 Added ebuild for the 2.2 branch
180
181 *moodle-2.1.4 (08 Jan 2012)
182 *moodle-2.0.7 (08 Jan 2012)
183 *moodle-1.9.16 (08 Jan 2012)
184
185 08 Jan 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.16.ebuild,
186 +moodle-2.0.7.ebuild, +moodle-2.1.4.ebuild:
187 Version bumps
188
189 07 Dec 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.14.ebuild,
190 -moodle-2.0.5.ebuild, -moodle-2.1.2.ebuild:
191 Removed vulnerable versions, bug #393475
192
193 *moodle-2.1.3 (29 Nov 2011)
194 *moodle-2.0.6 (29 Nov 2011)
195 *moodle-1.9.15 (29 Nov 2011)
196
197 29 Nov 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.15.ebuild,
198 +moodle-2.0.6.ebuild, +moodle-2.1.3.ebuild:
199 Version bumps
200
201 19 Oct 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.13.ebuild,
202 -moodle-2.0.4.ebuild, -moodle-2.1.1.ebuild:
203 Remove deprecated versions
204
205 *moodle-2.1.2 (09 Oct 2011)
206 *moodle-2.0.5 (09 Oct 2011)
207 *moodle-1.9.14 (09 Oct 2011)
208
209 09 Oct 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.14.ebuild,
210 +moodle-2.0.5.ebuild, +moodle-2.1.2.ebuild:
211 Version bumps
212
213 18 Aug 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.12.ebuild,
214 -moodle-2.0.3.ebuild, -moodle-2.1.ebuild:
215 Removed decprecated versions
216
217 *moodle-2.1.1 (02 Aug 2011)
218 *moodle-2.0.4 (02 Aug 2011)
219 *moodle-1.9.13 (02 Aug 2011)
220
221 02 Aug 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.13.ebuild,
222 +moodle-2.0.4.ebuild, +moodle-2.1.1.ebuild:
223 Version bumps
224
225 12 Jul 2011; Anthony G. Basile <blueness@gentoo.org> moodle-1.9.12.ebuild,
226 moodle-2.0.3.ebuild, moodle-2.1.ebuild:
227 Make moodle depend on either php[gd] or php[gd-external], bug #374605
228
229 *moodle-2.1 (09 Jul 2011)
230
231 09 Jul 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.11.ebuild,
232 -moodle-2.0.2.ebuild, +moodle-2.1.ebuild:
233 Version bump, removed depcreated
234
235 *moodle-2.0.3 (11 May 2011)
236 *moodle-1.9.12 (11 May 2011)
237
238 11 May 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.12.ebuild,
239 +moodle-2.0.3.ebuild:
240 Version bumps address several security issues.
241 See http://docs.moodle.org/en/Moodle_1.9.12_release_notes
242 and http://docs.moodle.org/en/Moodle_2.0.3_release_notes
243
244 10 Mar 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.9.ebuild,
245 -moodle-1.9.9-r1.ebuild, -moodle-1.9.10.ebuild, -moodle-2.0.1.ebuild:
246 Removed decprecated versions, bug #353431
247
248 *moodle-2.0.2 (22 Feb 2011)
249 *moodle-1.9.11 (22 Feb 2011)
250
251 22 Feb 2011; Anthony G. Basile <blueness@gentoo.org>
252 +moodle-1.9.11.ebuild, +moodle-2.0.2.ebuild, files/postinstall-en.txt:
253 Version bumps.
254
255 *moodle-2.0.1 (08 Jan 2011)
256
257 08 Jan 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-2.0.1.ebuild:
258 Version bump
259
260 *moodle-1.9.10 (29 Oct 2010)
261
262 29 Oct 2010; Anthony G. Basile <blueness@gentoo.org>
263 +moodle-1.9.10.ebuild:
264 Version bump
265
266 *moodle-1.9.9-r1 (13 Aug 2010)
267
268 13 Aug 2010; Anthony G. Basile <blueness@gentoo.org>
269 +moodle-1.9.9-r1.ebuild, files/postinstall-en.txt:
270 Ported to EAPI 2 USE deps. Bug #332165
271
272 *moodle-1.9.9 (19 Jul 2010)
273
274 19 Jul 2010; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.9.ebuild,
275 +files/config.php, +files/postinstall-en.txt,
276 +files/postinstall-nodb-en.txt, +metadata.xml:
277 New ebuild by Anthony G. Basile. Bug #104275

  ViewVC Help
Powered by ViewVC 1.1.20